commit:     ed1459945ee449ca13353f6f58ffb90f4cbe8c05
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  7 07:22:28 2016 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Wed Sep  7 07:26:24 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed145994

media-libs/cogl: version bump from 1.22.0-r1 to 1.22.2

Package-Manager: portage-2.3.0

 media-libs/cogl/Manifest                      |   1 +
 media-libs/cogl/cogl-1.22.2.ebuild            | 137 ++++++++++++++++++++++++++
 media-libs/cogl/files/cogl-1.22.0-fglrx.patch |   4 +-
 3 files changed, 140 insertions(+), 2 deletions(-)

diff --git a/media-libs/cogl/Manifest b/media-libs/cogl/Manifest
index 00ddf7f..8c87210 100644
--- a/media-libs/cogl/Manifest
+++ b/media-libs/cogl/Manifest
@@ -1,2 +1,3 @@
 DIST cogl-1.20.0.tar.xz 1669620 SHA256 
729e35495829e7d31fafa3358e47b743ba21a2b08ff9b6cd28fb74c0de91192b SHA512 
a7c50072ef5660a4fff8d3843ede86178e5c4bcc635eb24c1e16f73422f57596b91a2c78a73a5e01f6f4b9c96509c7c648729f748b2fec4b8ad0f332cd5e0bd1
 WHIRLPOOL 
9756e8b0c1503ff9e06b926d82620692d0e22ac7acf68f90461d4ae982d758733de47084fa4a80c531500f47b2ff109e07b3f0300aa9fcaf5b05f607a8252fa1
 DIST cogl-1.22.0.tar.xz 1654120 SHA256 
689dfb5d14fc1106e9d2ded0f7930dcf7265d0bc84fa846b4f03941633eeaa91 SHA512 
b19edced4282bd2b828357391fd6175feb483acfec87e344b7719215924dc8996dc8162d7b39d62a108d4f3ebd426caeefeab4e16b6c1962cc3383c239d6c359
 WHIRLPOOL 
4e77a005e51b928668be8efb85a27f679fa653d8d23ff078256141a452aa880c2d228b30d3cb406ae940d255d626f1a57741f3647a6efbb890a5f083b07bd62a
+DIST cogl-1.22.2.tar.xz 1682360 SHA256 
39a718cdb64ea45225a7e94f88dddec1869ab37a21b339ad058a9d898782c00d SHA512 
2ec99f5ff22683d12925b9a1f748387b47c4506aaf3c5afec851b3b6fe6b7cdfd211fb7e4359bd7a1d1b7cb3cb7fbd257efbcb7d2941d0f133a60bad1c9645e3
 WHIRLPOOL 
548deef9a92fba1ee183f84eb581add8f366ecb0829467025a48c0eb26e85f86ee85dbffded1174fc426f2e85ed5ede3aea75131dfe6a0df547d1440c2b0e53e

diff --git a/media-libs/cogl/cogl-1.22.2.ebuild 
b/media-libs/cogl/cogl-1.22.2.ebuild
new file mode 100644
index 00000000..aefbb71
--- /dev/null
+++ b/media-libs/cogl/cogl-1.22.2.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils gnome2 multilib virtualx
+
+DESCRIPTION="A library for using 3D graphics hardware to draw pretty pictures"
+HOMEPAGE="http://www.cogl3d.org/";
+
+LICENSE="MIT BSD"
+SLOT="1.0/20" # subslot = .so version
+
+# doc and profile disable for now due to bugs #484750 and #483332
+IUSE="debug examples gles2 gstreamer +introspection +kms +opengl +pango test 
video_cards_fglrx wayland" # doc profile
+REQUIRED_USE="
+       wayland? ( gles2 )
+       || ( gles2 opengl )
+"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+COMMON_DEPEND="
+       >=dev-libs/glib-2.32:2
+       x11-libs/cairo:=
+       >=x11-libs/gdk-pixbuf-2:2
+       x11-libs/libX11
+       >=x11-libs/libXcomposite-0.4
+       x11-libs/libXdamage
+       x11-libs/libXext
+       >=x11-libs/libXfixes-3
+       >=x11-libs/libXrandr-1.2
+       virtual/opengl
+       gles2? ( media-libs/mesa[gles2] )
+       gstreamer? (
+               media-libs/gstreamer:1.0
+               media-libs/gst-plugins-base:1.0 )
+       introspection? ( >=dev-libs/gobject-introspection-1.34.2:= )
+       kms? (
+               media-libs/mesa[gbm]
+               x11-libs/libdrm:= )
+       pango? ( >=x11-libs/pango-1.20.0[introspection?] )
+       wayland? (
+               >=dev-libs/wayland-1.1.90
+               media-libs/mesa[egl,wayland] )
+"
+# before clutter-1.7, cogl was part of clutter
+RDEPEND="${COMMON_DEPEND}
+       !<media-libs/clutter-1.7
+"
+DEPEND="${COMMON_DEPEND}
+       >=dev-util/gtk-doc-am-1.13
+       >=sys-devel/gettext-0.19
+       virtual/pkgconfig
+       test? (
+               app-eselect/eselect-opengl
+               media-libs/mesa[classic] )
+"
+
+# Need classic mesa swrast for tests, llvmpipe causes a test failure
+# For some reason GL3 conformance test all fails again...
+RESTRICT="test"
+
+src_prepare() {
+       # Let cogl work with fglrx driver, bug #567168
+       # https://bugzilla.gnome.org/show_bug.cgi?id=756306
+       use video_cards_fglrx && eapply "${FILESDIR}"/${PN}-1.22.0-fglrx.patch
+
+       # Do not build examples
+       sed -e "s/^\(SUBDIRS +=.*\)examples\(.*\)$/\1\2/" \
+               -i Makefile.am Makefile.in || die
+
+       if ! use test ; then
+               # For some reason the configure switch will not completely 
disable
+               # tests being built
+               sed -e "s/^\(SUBDIRS =.*\)test-fixtures\(.*\)$/\1\2/" \
+                       -e "s/^\(SUBDIRS +=.*\)tests\(.*\)$/\1\2/" \
+                       -e "s/^\(.*am__append.* \)tests\(.*\)$/\1\2/" \
+                       -i Makefile.am Makefile.in || die
+       fi
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       # TODO: think about quartz, sdl
+       # Prefer gl over gles2 if both are selected
+       # Profiling needs uprof, which is not available in portage yet, bug 
#484750
+       # FIXME: Doesn't provide prebuilt docs, but they can neither be 
rebuilt, bug #483332
+       gnome2_src_configure \
+               --disable-examples-install \
+               --disable-maintainer-flags \
+               --enable-cairo             \
+               --enable-deprecated        \
+               --enable-gdk-pixbuf        \
+               --enable-glib              \
+               $(use_enable debug)        \
+               $(use_enable opengl glx)   \
+               $(use_enable opengl gl)    \
+               $(use_enable gles2)        \
+               $(use_enable gles2 cogl-gles2) \
+               $(use_enable gles2 xlib-egl-platform) \
+               $(usex gles2 --with-default-driver=$(usex opengl gl gles2)) \
+               $(use_enable gstreamer cogl-gst)    \
+               $(use_enable introspection) \
+               $(use_enable kms kms-egl-platform) \
+               $(use_enable pango cogl-pango) \
+               $(use_enable test unit-tests) \
+               $(use_enable wayland wayland-egl-platform) \
+               $(use_enable wayland wayland-egl-server) \
+               --disable-profile
+#              $(use_enable profile)
+}
+
+src_test() {
+       # Use swrast for tests, llvmpipe is incomplete and "test_sub_texture" 
fails
+       # NOTE: recheck if this is needed after every mesa bump
+       if [[ "$(eselect opengl show)" != "xorg-x11" ]]; then
+               ewarn "Skipping tests because a binary OpenGL library is 
enabled. To"
+               ewarn "run tests for ${PN}, you need to enable the Mesa 
library:"
+               ewarn "# eselect opengl set xorg-x11"
+               return
+       fi
+       virtx emake check LIBGL_DRIVERS_PATH="${EROOT}/usr/$(get_libdir)/mesa"
+}
+
+src_install() {
+       if use examples; then
+               insinto /usr/share/doc/${PF}/examples
+               doins examples/{*.c,*.jpg}
+       fi
+
+       gnome2_src_install
+
+       # Remove silly examples-data directory
+       rm -rvf "${ED}/usr/share/cogl/examples-data/" || die
+}

diff --git a/media-libs/cogl/files/cogl-1.22.0-fglrx.patch 
b/media-libs/cogl/files/cogl-1.22.0-fglrx.patch
index e213d58..dac1419 100644
--- a/media-libs/cogl/files/cogl-1.22.0-fglrx.patch
+++ b/media-libs/cogl/files/cogl-1.22.0-fglrx.patch
@@ -1,5 +1,5 @@
---- 122/cogl/driver/gl/gl/cogl-driver-gl.c     2015-09-02 18:39:02.000000000 
+0200
-+++ 122b/cogl/driver/gl/gl/cogl-driver-gl.c    2015-10-18 10:37:14.052350142 
+0200
+--- a/cogl/driver/gl/gl/cogl-driver-gl.c       2015-09-02 18:39:02.000000000 
+0200
++++ b/cogl/driver/gl/gl/cogl-driver-gl.c       2015-10-18 10:37:14.052350142 
+0200
 @@ -419,7 +419,7 @@
    if (COGL_CHECK_GL_VERSION (ctx->glsl_major, ctx->glsl_minor, 1, 2))
      /* We want to use version 120 if it is available so that the

Reply via email to